For the complete documentation index, see llms.txt. This page is also available as Markdown.

Transport Loading Plans

List loading plans

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
uidstringOptional

UID of a transport, will list loading plans linked to this transport

uid__instringOptional

Comma-separated list of transport UIDs, will list loading plans linked to several transports

Responses
200

List successful

application/json
uidstring · uuidOptionalExample: 1f527452-45f4-11eb-a722-0242ac140004
createdstring · date-timeOptional

Date of creation on our server

Example: 2020-12-22T15:31:39.26167Z
created_devicestring · date-timeOptional

Date of creation on device (ISO 8601)

Example: 2020-12-22T15:31:39.26167Z
transportstring · uuidOptional
get/transport-loading-plans/
GET /api/v4/transport-loading-plans/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
200

List successful

{
  "uid": "1f527452-45f4-11eb-a722-0242ac140004",
  "created": "2020-12-22T15:31:39.26167Z",
  "created_device": "2020-12-22T15:31:39.26167Z",
  "transport": "123e4567-e89b-12d3-a456-426614174000",
  "compartments": [
    {
      "compartment_number": 1,
      "load": {
        "uid": "text",
        "remote_id": "text",
        "description": "text",
        "reference": "text",
        "round_id": 1,
        "weight": 1,
        "volume": 1,
        "volume_display_unit": "m3",
        "linear_meters": 1,
        "quantity": 1,
        "pallet_equivalence": 1,
        "category": "bulk",
        "dangerous_goods_category": "1",
        "is_dangerous": true,
        "adr_un_code": "text",
        "legal_mentions": "text",
        "complementary_information": "text",
        "container_number": "text",
        "tare_weight": 1,
        "container_seal_number": "text",
        "refrigerated": true,
        "temperature": "text",
        "steres": 1,
        "idtf_number": "text",
        "use_identifiers": true,
        "identifiers": [
          "AX000123"
        ],
        "identifiers_observations": "Missing codes: 1234, 3456"
      },
      "weight": 1,
      "volume": 1,
      "volume_display_unit": "m3",
      "unloading_status": ""
    }
  ]
}

Last updated

Was this helpful?